Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class TabListenerCollection

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.google.gwt.user.client.ui.TabListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class TabListenerCollection

extends java.util.ArrayList

A helper class for implementers of the `SourcesTabEvents` interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `TabListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`TabListenerCollection()`

Method Summary
`boolean` | `fireBeforeTabSelected(SourcesTabEvents sender, int tabIndex)` Fires a beforeTabSelected event to all listeners.
`void` | `fireTabSelected(SourcesTabEvents sender, int tabIndex)` Fires a tabSelected event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### TabListenerCollection

    public TabListenerCollection()

Method Detail

### fireBeforeTabSelected

    public boolean fireBeforeTabSelected(SourcesTabEvents sender,
                                         int tabIndex)

  Fires a beforeTabSelected event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `tabIndex` - the index of the tab being selected

### fireTabSelected

    public void fireTabSelected(SourcesTabEvents sender,
                                int tabIndex)

  Fires a tabSelected event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `tabIndex` - the index of the tab being selected

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD